<div [formGroup]="form">
  <div class="row mb-4">
    <div>
      <h3>Sector <a type="button" class="btn btn-outline-secondary btn-sm mt-1" (click)="addSector()">
        <add-item-svg></add-item-svg>
      </a></h3>
    </div>
  </div>
  <div class="row">
    <div class="col-6">
      <div>
        <div formArrayName="sector" *ngFor="let sectorControl of t.controls; let i=index">
          <label>Sector beroeps en bedrijfsleven <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De code die de indeling van een bedrijf aangeeft volgens de Standaard Bedrijfs Indeling van het Centraal Bureau voor de Statistiek." tooltipClass="custom" for="clicked"></i></label>
          <div [formGroupName]="i">
            <div class="input-group">
              <input type="number" class="form-control" formControlName="codeSbi"
                     [ngClass]="sectorControl.get('codeSbi')?.touched && sectorControl.get('codeSbi')?.invalid ? 'is-invalid' : '' "
              >
              <button type="button" class="btn btn-outline-danger" (click)="removeSector(i)">
                <remove-item-svg></remove-item-svg>
              </button>
              <div class="invalid-feedback">
                Incorrecte code SBI
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
